@font-face {
    font-family: 'Marquisette';
    src: url('fonts/Marquisette.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

/* Cores

Amarelo: #ffc831
Vermelho: #c23025


*/

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    color: black;
    text-align: center;
}

body {
    font-family: 'Marquisette', sans-serif;
}

html, body {
    overflow-x: hidden;
    width: 100%;
}

/* Configurações básicas de animação */
@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes bounceIn {
    0% {
        opacity: 0;
        transform: scale(0.5);
    }
    50% {
        opacity: 0.8;
        transform: scale(1.1);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}

@keyframes oscillate {
    0% {
        transform: scale(1) rotate(0deg);
    }
    50% {
        transform: scale(1.05) rotate(2deg); /* Oscila um pouco e gira levemente */
    }
    100% {
        transform: scale(1) rotate(0deg);
    }
}

body {
    position: relative;
    background-image: url('img/bg_site3.png');
    background-size:contain;
    background-position: center;
}

.navbar {
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1030;
    border-bottom: 1px solid white;
    transition: background-color 0.3s ease-in-out;
    background-color: rgb(162, 146, 14, 40%);
}

.nav-item a {
    font-size: 22px;
}

.navbar .nav-container {
    margin: 0 auto;
}

.navbar .nav-container button {
    background-color: transparent;
}

@media (max-width: 767px) {
    .navbar .navbar-collapse {
        font-size: 18px;
    }
}

@media (min-width: 768px) {
    .navbar .navbar-collapse {
        font-size: 36px;
    }
}

.navbar .navbar-collapse a {
    color: white;
}

.navbar .navbar-collapse a:hover {
    transition: 0.7s;
}

.hero-background {
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin-bottom: 24px;
    overflow: hidden;
}

.hero-background img {
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    object-position: center;
}

@media (max-width: 676px) {
    .hero-background img {
        width: 160vw;
        height: auto;
        max-height: 100vh;
    }
}
@media (min-width: 677px) and (max-width: 1240px) {
    .hero-image {
        max-width: 500px;
    }
}
@media (min-width: 1241px) {
    .hero-image {
        max-width: 840px;
    }
}

.agenda-container {
    margin-bottom: 24px;
}

.agenda-container a {
    text-decoration: none;
}

.agenda-container a:hover {
    text-decoration: underline #000000;
}

.agenda-container h2 {
    color: #fff;
    padding: 12px;
}

.agenda-container .container h2 {
    font-size: 60px;
}

.agenda-container{
    position: relative;
}

.agenda-loading{
    position: absolute;
    inset: 0;
    background: rgba(255,255,255);
    backdrop-filter: blur(3px);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10;
    transition: opacity 0.3s ease;
}

.loading-content{
    text-align: center;
    font-weight: 600;
}

.loading-content p{
    margin-top: 10px;
}

.container-lista-shows {
    display: flex;
    flex-direction: column;
}

.card-show {
    display: flex;
    flex-direction: column; /* Organiza o conteúdo verticalmente */
    align-items: center; /* Centraliza horizontalmente */
    justify-content: center; /* Centraliza verticalmente */
    text-align: center; /* Alinha o texto no centro */
    width: 100%; /* Garante que ocupe toda a largura do container */
}

#lista-shows a:nth-child(odd) .card-show {
    background-image: url('img/bg_impar.png');
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

#lista-shows a:nth-child(even) .card-show {
    background-image: url('img/bg_par.png');
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

.card-show h3 {
    font-weight: bold;
}

.card-show p {
    font-weight: normal;
}

.card-show-impar .info-shows h3,
.card-show-impar .info-shows p {
    color: black;
}


#lista-shows {
    animation: fadeIn 0.6s ease;
}

.container .card-show h3 {
    font-size: 36px;
    margin-top: 10px;
}

.container .card-show p {
    margin-top: -10px;
    font-size: 22px;
}

/* PRÓXIMOS SHOWS */

/* NOVO SHOW */

.novo-show-container {
    position: relative; /* Para o pseudo-elemento ficar corretamente posicionado */
    padding-top: 50px; /* Espaçamento superior para ajustar a posição do conteúdo */
    padding-bottom: 40px; /* Ajuste o espaço inferior conforme necessário */
    margin-bottom: 36px;
    margin-top: 40px;
}

.novo-show-container .container {
    position: relative; /* Para garantir que o conteúdo do container não seja sobreposto pela imagem */
    z-index: 1; /* Faz com que o conteúdo do container fique acima da imagem */
    text-align: center; /* Centraliza o texto dentro do container */
}

.novo-show-container::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%; /* Aumenta a imagem além dos limites */
    height: 100%; /* Aumenta a imagem além dos limites */
    background-image: url('img/bg_txt3.png');
    background-size: contain; /* Faz a imagem cobrir a área */
    background-position: center; /* Centraliza a imagem de fundo */
    background-repeat: no-repeat;
    z-index: -1; /* Garante que a imagem fique atrás do conteúdo */
}

.novo-show-container .container h2 {
    font-size: 40px;
    color: #0a0c0c;
}

.novo-show-container .container h2 span {
    color: black;
}

.novo-show-container .container button {
    background-image: url('img/bg_btn.png');
    background-size: cover;
    background-repeat: no-repeat;
    color: white;
    font-size: 36px;
    border: none;
    margin-bottom: 12px;
}

.novo-show-container .container button:hover {
    transform: scale(110%);
    transition: 0.7s;
}

/* NOVO SHOW - FIM */

.cadastro-container {
    padding: 36px;
    background-color: black;
    clip-path: polygon(
    10% 5%,   90% 5%,    /* Topo irregular */
    98% 40%, 85% 90%,   /* Lateral direita com deformação */
    15% 95%, 5% 55%     /* Lateral esquerda com deformação */
);
}

.cadastro-container-txt h2 {
    color: #fff;
    font-size: 36px;
}

.cadastro-container-txt h4 {
    color: #fff;
    font-size: 18px;
}

.cadastro-container button {
    background-color: white;
    font-size: 28px;
    border: none;
    padding: 16px;
    clip-path: polygon(
        10% 5%,   90% 5%,    /* Topo irregular */
        98% 40%, 85% 90%,   /* Lateral direita com deformação */
        15% 95%, 5% 55%     /* Lateral esquerda com deformação */
    );
    color: #c23025;
}

.cadastro-container button:hover{
    background-color: #ffc831;
    color: #000000;
    transform: scale(1.1);
    transition: 1.2s;
}

/* FIM PRÓXIMOS SHOWS */

.container-palco {
    position: relative;
    width: 100%;
    height: 0;
    padding-bottom: 56.25%; /* Proporção 16:9 */
    margin-top: 24px;
}

.lea-palco {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.botao-link {
    display: flex;
    flex-direction: column;
}

.links-container h2 {
    font-size: 30px;
    background-color: rgb(255, 200, 49, 70%);
    clip-path: polygon(
        5% 8%,   95% 5%,   /* Topo irregular */
        98% 50%, 90% 95%,  /* Lateral direita com deformação */
        10% 92%, 2% 50%    /* Lateral esquerda com deformação */
    );
    max-width: 360px;
    margin: 0 auto;
    align-items: center;
}

.links-buttons a {
    text-decoration: none;
    color: white;
    font-size: 24px;
}

.links-container .btn:hover {
    transform: scale(1.08);
    transition: 0.8s;
}

.links-container .btn-1 {
    background-color: rgb(255, 200, 49, 0.85);
}

.links-container .btn-2 {
    background-color: rgb(194, 48, 37, 0.8);
}

.links-container .btn-3 {
    background-color: rgb(0, 0, 0, 0.8);
}